﻿'*********************************************************
'
' Copyright (c) Microsoft. All rights reserved.
'
'*********************************************************

Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports Windows.Devices.Enumeration

Namespace CustomTemperatureSensor
	''' <summary>
	''' The class will only expose properties from DeviceInformation that are going to be used
	''' in this sample. Each instance of this class provides information about a single device.
	'''
	''' This class is used by the UI to display device specific information so that
	''' the user can identify which device to use.
	''' </summary>
	Public Class DeviceListEntry
		Private device As DeviceInformation
'INSTANT VB NOTE: The variable deviceSelector was renamed since Visual Basic does not allow class members with the same name:
		Private deviceSelector_Renamed As String

		Public ReadOnly Property InstanceId() As String
			Get
				Return CType(device.Properties(DeviceProperties.DeviceInstanceId), String)
			End Get
		End Property

		Public ReadOnly Property DeviceInformation() As DeviceInformation
			Get
				Return device
			End Get
		End Property

		Public ReadOnly Property DeviceSelector() As String
			Get
				Return deviceSelector_Renamed
			End Get
		End Property

		''' <summary>
		''' The class is mainly used as a DeviceInformation wrapper so that the UI can bind to a list of these.
		''' </summary>
		''' <param name="deviceInformation"></param>
		''' <param name="deviceSelector">The AQS used to find this device</param>
		Public Sub New(ByVal deviceInformation As Windows.Devices.Enumeration.DeviceInformation, ByVal deviceSelector As String)
			device = deviceInformation
			Me.deviceSelector_Renamed = deviceSelector
		End Sub

	End Class
End Namespace
